### Function

# WebKit2 WebExtensionMatchPattern new_all_hosts_and_schemes

since: 2.48

#### Declaration [src]

    WebKitWebExtensionMatchPattern*
    webkit_web_extension_match_pattern_new_all_hosts_and_schemes (
      void
    )

#### Description [src]

Returns a new `WebKitWebExtensionMatchPattern` that has `*` for scheme, host, and path.

Available since: 2.48

#### Return value

Type: `WebKitWebExtensionMatchPattern`

A newly created `WebKitWebExtensionMatchPattern`.

The caller of the function takes ownership of the data, and is responsible for freeing it.